<?php

namespace Drupal\tellstick\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Tellstick Data entities.
 *
 * @ingroup flag_lists
 */
interface TellstickDataInterface extends ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  // Add get/set methods for your configuration properties here.

  /**
   * Gets the Flag list item creation timestamp.
   *
   * @return int
   *   Creation timestamp of the Flag list item.
   */
  public function getCreatedTime();

  /**
   * Sets the Flag list item creation timestamp.
   *
   * @param int $timestamp
   *   The Flag list item creation timestamp.
   *
   * @return \Drupal\flag_lists\Entity\FlagListItemInterface
   *   The called Flag list item entity.
   */
  public function setCreatedTime($timestamp);

}
