<?php

namespace Drupal\tellstick;

use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of Tellstick Data entities.
 */
class TellstickDataListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['name'] = $this->t('Name');
    $header['id'] = $this->t('Id');
    $header['created'] = $this->t('Time');
    // $header['data'] = $this->t('Data');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $dateFormatter = \Drupal::service('date.formatter');
    $tellstickService = \Drupal::service('tellstick');
    $sensorId = $entity->get('sensor')->getString();
    $row['name'] = $tellstickService
      ->getTellstickSensorById($sensorId)->getSensor();
    $row['id'] = $sensorId;
    $row['created'] = $dateFormatter->format(
      $entity->getCreatedTime(),
      'short'
    );
    // $row['data'] = $entity->get('data');
    return $row + parent::buildRow($entity);
  }

}
